org.apache.pdfbox.pdmodel.interactive.annotation

## Class PDAnnotationPopup

- java.lang.Object
- - org.apache.pdfbox.pdmodel.interactive.annotation.PDAnnotation
  - - org.apache.pdfbox.pdmodel.interactive.annotation.PDAnnotationPopup

All Implemented Interfaces:
  COSObjectable

    public class PDAnnotationPopup
    extends PDAnnotation

This is the class that represents a popup annotation. Introduced in PDF 1.3 specification

Author:
  Paul King

### Field Summary

Fields
`static String` `SUB_TYPE` The type of annotation.

### Constructor Summary

Constructors
Constructor and Description
`PDAnnotationPopup()` Constructor.
`PDAnnotationPopup(COSDictionary field)` Creates a popup annotation from a COSDictionary, expected to be a correct object definition.

### Method Summary

All Methods Instance Methods Concrete Methods
`boolean` `getOpen()` This will retrieve the initial state of the annotation, open Or closed (default closed).
`PDAnnotationMarkup` `getParent()` This will retrieve the markup annotation which this popup relates to.
`void` `setOpen(boolean open)` This will set the initial state of the annotation, open or closed.
`void` `setParent(PDAnnotationMarkup annot)` This will set the markup annotation which this popup relates to.

### Methods inherited from class org.apache.pdfbox.pdmodel.interactive.annotation.PDAnnotation

`constructAppearances, constructAppearances, createAnnotation, equals, getAnnotationFlags, getAnnotationName, getAppearance, getAppearanceState, getBorder, getColor, getColor, getContents, getCOSObject, getModifiedDate, getNormalAppearanceStream, getOptionalContent, getPage, getRectangle, getStructParent, getSubtype, hashCode, isHidden, isInvisible, isLocked, isLockedContents, isNoRotate, isNoView, isNoZoom, isPrinted, isReadOnly, isToggleNoView, setAnnotationFlags, setAnnotationName, setAppearance, setAppearanceState, setAppearanceState, setBorder, setColor, setContents, setHidden, setInvisible, setLocked, setLockedContents, setModifiedDate, setModifiedDate, setNoRotate, setNoView, setNoZoom, setOptionalContent, setPage, setPrinted, setReadOnly, setRectangle, setStructParent, setSubtype, setToggleNoView`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### SUB_TYPE

    public static final String SUB_TYPE

The type of annotation.

See Also:
  Constant Field Values

### Constructor Detail

#### PDAnnotationPopup

    public PDAnnotationPopup()

Constructor.

#### PDAnnotationPopup

    public PDAnnotationPopup(COSDictionary field)

Creates a popup annotation from a COSDictionary, expected to be a correct object definition.

Parameters:
  `field` - the PDF object to represent as a field.

### Method Detail

#### setOpen

    public void setOpen(boolean open)

This will set the initial state of the annotation, open or closed.

Parameters:
  `open` - Boolean value, true = open false = closed.

#### getOpen

    public boolean getOpen()

This will retrieve the initial state of the annotation, open Or closed (default closed).

Returns:
  The initial state, true = open false = closed.

#### setParent

    public void setParent(PDAnnotationMarkup annot)

This will set the markup annotation which this popup relates to.

Parameters:
  `annot` - the markup annotation.

#### getParent

    public PDAnnotationMarkup getParent()

This will retrieve the markup annotation which this popup relates to.

Returns:
  The parent markup annotation.